## Struct contains_fun

boost::log::contains_fun — The `contains` functor.

## Synopsis

    // In header: <boost/log/utility/functional/contains.hpp>

    struct contains_fun {
      // types
      typedef bool result_type;

      // public member functions
      template<typename T, typename U> bool operator()(T const &, U const &) const;
    };

## Description

### `contains_fun` public member functions

1.     template<typename T, typename U>
         bool operator()(T const & left, U const & right) const;